=== docs/Makefile ===
SPHINXBUILD := sphinx-build
SPHINXPROJ := pytorch_scatter
SOURCEDIR := source
BUILDDIR := build

.PHONY: help Makefile

%: Makefile
	@$(SPHINXBUILD) -M $@ "$(SOURCEDIR)" "$(BUILDDIR)"
