=== docs/requirements.txt ===
https://download.pytorch.org/whl/cpu/torch-1.11.0%2Bcpu-cp38-cp38-linux_x86_64.whl
sphinx>=3
sphinx_rtd_theme
