=== debian/changelog ===
pytorch-scatter (2.1.2-4) unstable; urgency=medium

  * d/control: fix incorrect Breaks version of python3-torch-sparse
    (should be << 0.6.18-3)

 -- Shengqi Chen <harry@debian.org>  Mon, 24 Feb 2025 21:51:11 +0800

pytorch-scatter (2.1.2-3) unstable; urgency=medium

  * Team upload.
  * d/control: breaks python3-torch-sparse (<< 0.6.18-2) due to libtorch
    incompatibility.

 -- Shengqi Chen <harry@debian.org>  Mon, 24 Feb 2025 13:57:47 +0800

pytorch-scatter (2.1.2-2) unstable; urgency=medium

  * Team upload.
  * d/control: bump std-ver to 4.7.1 (no changes required).
  * d/rules: make dh_auto_clean more robust.
  * Rebuild for libtorch2.6 transition.

 -- Shengqi Chen <harry@debian.org>  Mon, 24 Feb 2025 00:07:07 +0800

pytorch-scatter (2.1.2-1) unstable; urgency=medium

  * New upstream version 2.1.2
  * Build on default Python only as python3-torch is built only there
    (Closes: #1058201)

 -- Andrius Merkys <merkys@debian.org>  Wed, 13 Dec 2023 07:25:18 -0500

pytorch-scatter (2.1.1-1) unstable; urgency=medium

  * New upstream version 2.1.1
  * Switch watch file to GitHub.

 -- Andrius Merkys <merkys@debian.org>  Sun, 17 Sep 2023 15:25:49 -0400

pytorch-scatter (2.1.0-2) unstable; urgency=medium

  * Set upstream metadata fields: Repository.

 -- Andrius Merkys <merkys@debian.org>  Wed, 08 Mar 2023 02:22:25 -0500

pytorch-scatter (2.1.0-1) unstable; urgency=medium

  * Initial release. (Closes: #1031272)

 -- Andrius Merkys <merkys@debian.org>  Tue, 14 Feb 2023 08:15:55 -0500
