=== debian/control ===
Source: pytorch-scatter
Section: science
Priority: optional
Maintainer: Debian Deep Learning Team <debian-science-maintainers@lists.alioth.debian.org>
Uploaders:
 Andrius Merkys <merkys@debian.org>,
Rules-Requires-Root: no
Build-Depends:
 debhelper-compat (= 13),
 dh-sequence-python3,
 libtorch-dev,
 pybind11-dev,
 python3,
 python3-pytest <!nocheck>,
 python3-setuptools,
 python3-torch,
Testsuite: autopkgtest-pkg-pybuild
Standards-Version: 4.7.1
Homepage: https://github.com/rusty1s/pytorch_scatter
Vcs-Browser: https://salsa.debian.org/deeplearning-team/pytorch-scatter
Vcs-Git: https://salsa.debian.org/deeplearning-team/pytorch-scatter.git

Package: python3-torch-scatter
Architecture: any
Depends:
 ${misc:Depends},
 ${python3:Depends},
 ${shlibs:Depends},
Breaks: python3-torch-sparse (<< 0.6.18-3)
Description: PyTorch Extension Library of Optimized Scatter Operations
 This package consists of a small extension library of highly optimized sparse
 update (scatter and segment) operations for the use in PyTorch, which are
 missing in the main package. Scatter and segment operations can be roughly
 described as reduce operations based on a given "group-index" tensor. Segment
 operations require the "group-index" tensor to be sorted, whereas scatter
 operations are not subject to these requirements.
 .
 This package installs the library for Python 3.
